Subject: Re: Invalid channel numbers

From: [email-masked] (Niels Möller)
Date: 19 Aug 2004 16:59:12 +0200

Bill Sommerfeld <[email-masked]> writes:

> (In any event, you likely need more than just a channel number to track
> peer channel state, so a valid bit or state variable doesn't seem like
> such a big deal.  no reason to change the protocol..)

I use a channel table indexed by local channel number. I choose to use
small non-negative integers for my local numbers, and -1 as a flag
value in a few places. The remote channel number is a totally opaque
identifier stored in this table together with the other channel state.

This seems like a natural way to organize the channel table. I can not
remember that I have ever wanted or needed a reserved flag value in
the remote number space.

Regards,
/Niels